Diagnostic Console

Start Page

The Diagnostic Console makes it possible to send single diagnostic requests directly to an ECU and receive and analyze the corresponding response messages.

Note

Note

Please note that, after every sending of a request, all responses are signaled only to the sender. Diagnostic requests that are sent from the Diagnostic Console are thus invisible for a CAPL program as are the received responses. Similarly, no responses to requests sent from a CAPL program are displayed in the Diagnostic Console.

The feature User-defined messages allows you to pre-configure existing diagnostic requests with your own parameter values and save such requests under a meaningful name. If you are e.g. using the same service in different scenarios with varying parameter values, you may now access the adequate service immediately and without the need for additional manual modifications.

Note

Note

For services used for unlocking an ECU you need to add a Security DLL file to the configuration. See page Diagnostic Layer.

Furthermore with user-defined messages requests can be sent cyclically from the Diagnostic Console.

Note

Note

To work with diagnostic databases that have been created with a newer version of CANdela Studio, the newest converters must be downloaded from the Vector homepage under
https://www.vector-worldwide.com/vi_downloadcenter_en.html?type=Driver
in the section "CANdelaStudio -> Add-Ons/Freeware". The accompanying "Read me" files have installation instructions.

To send diagnostic requests to an ECU the appropriate diagnostic desciption in format (CDD, ODX or MDX) must be located in the working directory or a Basic Diagnostic ECU must be configured.

Note

Note

In case of functional addressing a diagnostic request is sent to all physically ECU's and the respective responses are received and assigned to the device that have sent them.

After loading the diagnostic descriptions a Diagnostic Console is automatically opened, if the diagnostic description (CDD/ODX) has been assigned to a bus or a bus node ([Configure…] button) or a Basic Diagnostic ECU has been configured on this network/bus. When a diagnostic description is configured as functional group requests, a specific Diagnostic Console is opened, that allows you to send functional requests to all ECUs and to display the collection of all answers.

  • Symbolic
    The response messages are displayed in symbolic form ("text in clear")
  • Raw Values
    The response messages are displayed in hexadecimal form. In this setting the parameter values can be input in raw hex format.
  • [Execute/Stop]
    Clicking this button sends the request message to the ECU.
    Starts/stops the cyclical sending in case of a user-defined message which has a cycle time defined.
Note

Note

Data_Packet requests of the type ReadScheduleFast trigger the ECU to send an endless response stream that causes a timeout. Although the timeout message is closed by clicking the [OK] button, the ECU continues sending until a request message of the type StopScheduleSending is sent to the ECU.
  • Switch On / Switch Off Tester Present
    Tester Present requests are sent periodical to the ECU. Tester Present is a message sent cyclically to maintain communication with the ECU. With this button you can start or stop the sending of this messages. The status is also valid for the Fault Memory Window.

In the right corner of the symbol tray near the "Online/Offline" indicator is a "LED" situated that shows the Tester Present behavior:

  • Gray: no TesterPresent send
  • Yellow: send TesterPresent
  • Green: received response message
  • Red: transmit error/timeout
Note

Note

Tester Present requests can only be sent when the ECU is in the online state.
  • Display Vehicle System Groups / Diagnostic Classes
    Switches between the VSG and the Diagnostic Class view (VSG: "Vehicle System Groups", system groups of the ECU). This groups are displayed in a different color.

VSG's are an alternative display of the available diagnostic services. Several system groups can be freely defined in the CANdela description file. Since a link to the diagnostic instances can be assigned to them, logical groups can be defined.

Note

Note

This option is only active when VSGs are defined in the ECU. VSGs can only be created and edited in the CANdela Studio.
The option is only available for databases of type *.CDD and *.PDX, not for *.ODX databases.
  • Display Request History
    Displays the history of the requests. You can select a request from the list and send it again with the button [Execute].
Note

Note

This option is only available via the toolbar. The number of requests in the list can be set in the Properties dialog.
  • Initialize Parameter
    Initializes the parameters of the current write service.
  • Clear Trace Area
    This button deletes the content of the Trace area (the lower part of the Diagnostic Console)
  • Activate/deactivate trace logging
    When this option is activated, a selection dialog appears for the logging file. The name of the logging file is set in the Properties dialog.
  • Search
  • Create user-defined message
    Creates a user-defined message from the diagnostic request currently selected in the tree view. For this message a name and - if needed – a cycle time can be entered. If the request is not to be sent cyclically, please select “----” in the Message cycle field.
  • Delete user-defined message
    Deletes the user-defined message currently selected in the tree view.
  • Edit user-defined message
    Opens the user-defined message currently selected in the tree view for modification of its name and cycle time.
  • Start macro recording
  • Stop macro recording
  • Replay last recorded macro
  • Store lastly recorded macro as script
  • Delete macro
  • Open Properties dialog

Raw Telegrams

  • Add raw values
    This button is displayed in the service tree [Raw Telegrams | Add raw values] besides the parameter value. Clicking it allows you to insert the current raw message into the service tree.
  • Delete raw values
    This button is displayed in the service tree [Raw Telegrams] besides the parameter value when a raw message is selected. Clicking it allows you to remove the current raw message from the service tree.

You can input a complete raw message (e.g. '18 00 ff 00') into the combination box (with a dropdown menu) of the Diagnostic Console. To send this message, click the Button [Execute].

Note

Note

Symbolic string table parameter values cannot be modified in the Diagnostic Console GUI, the values can only be selected.

The last sent messages are stored and can be called and sent once more. After you have closed the program the last 10 messages stay stored.

Comments can be added to a message by using '#'.

Note

Note

  • Also, each entered parameter value is now checked immediately. If there are invalid values an error message appears:
    ERROR  Parameter value invalid!
  • Cyclic periodic responses are only displayed in the Trace Window not in the Diagnostic Console.
  • Data_Packet requests of the type ReadScheduleFast trigger the ECU to send an endless response stream that causes a timeout.
    Although the timeout message is closed by clicking the [OK] button, the ECU continues sending until a request message of the type StopScheduleSending was sent to the ECU.

Version 11.0 SP2
© Vector Informatik GmbH


Remarks About Dynamically Defined Data IDs

Diagnostic Console » Remarks about Dynamically Defined Identifier

This means the dynamically arrangement of several parameters resulting in one record that is assigned to one request.

If supported by the ECU this procedure allows a periodically scan of several parameters without the necessity to send a special request for every parameter. In addition only one response must be evaluated.

The request contains an iterative parameter, identified by the symbol [image] , here you can select the number of parameters to be scanned.

Because of performance and display reasons this parameter is limited to the decimal value of 64. The parameters displayed must be populated by the user with the respective identifier of the scanned parameter.

Note

Note

When the Diagnostic Console is closed the defined requests are lost!


Activate/Deactivate Tester Present

Diagnostic Console » Tester Present

With this command you can switch on or off the continuous sending of Tester Present requests. The status is also valid for the Fault Memory Window.

Tester Present requests are sent periodical to the ECU. Tester Present is a message sent cyclically to maintain communication with the ECU.

Note

Note

Tester Present requests can only be sent when the ECU is in the online state.

Shortcuts

Toolbar

Keyboard

—


Display Vehicle System Groups

Diagnostic Window » Display Vehicle System Group

With this command the VSG view is set active. (VSG: Vehicle System Groups, system groups of the ECU). This groups are displayed in a different color.

VSG's are an alternative display of the available diagnostic services. Several system groups can be freely defined in the CANdela description file. Since a link to the diagnostic instances can be assigned to them, logical groups can be defined.

Note

Note

This option is only active when VSGs are defined in the ECU. VSGs can only be created and edited in the CANdela Studio.
The option is only available for databases of type *.CDD, not for *.ODX databases.

Shortcuts

Toolbar

Keyboard

—

Display diagnostic classes


Display Diagnostic Classes

Diagnostic Console » Display Diagnostic Classes

With this command you can display the several diagnostic classes, in contrast to the vehicle system groups.

Note

Note

This option is only active when vehicle system groups (VSGs) aare ee sdyesftienme dg rionu ptshe ECU. VSGs can only be created and edited in the CANdela Studio.
The option is only available for databases of type *.CDD, not for *.ODX databases.

Shortcuts

Toolbar

Keyboard

—


Initialize Parameters

Diagnostic Window » Initialize Parameters

This command overwrites the current values of all parameters of a write service with the current values from the controller.

When a write service is opened for the first time in a diagnostic session, the only values it has are dec 0, hex 0x00 or (not defined). A red mark appears next to the word Value in the header line. The values are read out of the controller and displayed via the command Initialize Parameters. The marking changes to blue.

Note

Note

  • The name of the assigned device is shown right above the [Execute] button.
  • When the option Automatically update parameters in the Properties dialog is activated, updating occurs every time a write service is opened.

When the write service is executed the values in the controller are overwritten by the values that have been set and possibly changed, and in turn overwrite the new values in the Diagnostic Console during re-initialization.

Note

Note

During initialization the values of all the parameters of the respective write service are overwritten by the values from the controller.

Shortcuts

Toolbar

Keyboard

—


Clear Trace Area

Diagnostic Console » Clear Trace Area

With this command, the Trace area (the lower part of the Diagnostic Console) will be deleted.

Shortcuts

Toolbar

Keyboard

—


Search

Diagnostic Console » Search in Diagnostic Services

With this command you can find any string in the tree view of the available diagnostic services. The action activates the search mode, the search panel will open, focus will jump to edit field and search edit field is clear.

Enter the search string in the search panel. The first occurrence of the search string is marked. In the same time the properties of the service fount is displayed in the right window.

Press the <F3> key or the [image] button in order to find the next occurrence of the entered phrase. On the other hand you can press the <Shift>+<F3> or [image] button in order to find the previous occurrence of the current search phrase.

Pressing <ESC> or the [image] toolbar button while performing a search deactivates the search mode and closes the search panel.

Note

Note

  • The background of the edit field becomes red if the entered search phrase is not found at all.
  • The search functionality is case-insensitive.
  • The search functionality is support a basic set of wildcards (* and ?).
  • Pressing <Return> while performing a search accepts the current search result and the selected service is executed.
  • If the user keeps on clicking the [image] / [image] button the search wraps from top to bottom / bottom to top.

Shortcuts

Toolbar

Keyboard

<Ctrl>+<F>


Macro Functions

Diagnostic Console » Macro Recording

With the Diagnostic Console, you can send a series of requests one after the other, record them and repeat at a later time.

The record is started with the command Start macro recording [image] and terminated with the command Stop macro recording [image].

With the command Replay last recorded macro [image] , the just recorded macro will be executed again. The macro will not be stored in the configuration but overwritten by the next created new macro.

With the command Store lastly recorded macro as script [image] you can save a macro as a script file (file extension CS). The script can be imported into the Automation Sequences dialog and handled like a "normal" script.

In the left window area a new folder is created with the name [Macros] that contains all created and saved macros. These macros can be executed via a double-click with the mouse. With the command Delete macro [image] you can delete macros you don't need anymore.

Note

Note

The script file is generated as .NET snippet. For that reason, its execution depends on the setting for the Developer Mode. You can toggle this setting by clicking the corresponding button you find in the Automation Sequences dialog on the .NET Snippets page.

CANoe Macro Recording (Diagnostics)


Properties Dialog

Diagnostic Console » Properties Dialog

The Diagnostic Console display can be specified further in this dialog.

The individual sections have the following meaning:

Services

Here is where to set whether the Diagnostic Services will be displayed with their name and/or their qualifier (function name in the database).

Example

Example

Name: Variant Coding
Qualifier: VARCODING

With the option Prefix you can switch on/off the display of the index and of the Service or Local IDs. When both options are activated, the index is displayed first (left), followed by the ID's and the name.

In addition the sort order of the single services inside the sections and in the drop-down selection field can be set to alphabetic order or according to the Service or Local IDs. The index is not re-numbered; every element keeps its own index.

Columns

The column Optional Parameter Columns lists all parameter properties that can be displayed; the desired property can be transferred from them to the section Displayed Parameter Columns via the [Add] button. Any property you like in this column can be removed from the display with the [Delete] button.

Note

Note

These displays only provide information and cannot be changed, because the Diagnostic Console has no write access to the database.
The name and value of the parameter are always displayed. The value can be changed, because it is stored not in the database but in the controller.

Options

  • Initialize parameters automatically
    When this option is activated, the values of the corresponding Write parameters are updated with the values from the controller every time the write service is selected in the Diagnostic Console. This corresponds to an automatic execution of the Initialize parameters command.
Note

Note

During initialization the values of all the parameters of the respective write service are overwritten by the values from the controller.
  • Display parameter position/length in the Trace area
    This options controls the display of additional properties of the parameters.
  • Display constant response parameters in the Trace area
    Parameters set as constant in the diagnostic description are displayed at responses although they dot change their values.
  • Suppress Positive Response Message (UDS)
    When this Option is activated the display of positive Response messages in the Trace area (the lower part of the Diagnostic Console) is turned off.
Note

Note

The option only works if it is supported by the respective service in the diagnostic desciption. Otherwise the option is inactive.
  • Fill string parameters with spaces
    String parameters can be set in the diagnostic database to a constant string length. When in the Diagnostic Console a parameter with a shorter string length is input, the remaining space is filled with the "blank" character to avoid compatibility conflicts.
  • Display PDU's in the parameter list
    This option displays/hides the raw messages in the parameter list. (PDU=Protocol Data Unit)
  • Maximum number of requests in the history
    Here you can set how many requests are displayed in the history list (available via the [image] button in the toolbar). Maximum number is 64.

Logging File

Via the button [File...] the name and the directory where the logging data are to be written can be set. As default the name traceLog.TXT is suggested. Because the settings are stored when the program is closed this option is activated at a re-start. In this case the logging data are appended on the existing logging file.The logging is activated and deactivated with the button [image] in the toolbar.

Note

Note

When you switch off the option and switch it on again the content of the previous logging file will be overwritten with the actual data without any user information.

Shortcuts

Toolbar

Keyboard

—


blue

Version 11.0 SP2
© Vector Informatik GmbH


Dialog Create User-Defined Message

Diagnostic Console » User-Defined Message

In this dialog you can create a user-defined message from the diagnostic request currently selected in the tree view.

For this message a name and - if needed – a cycle time can be entered.

If the request is not to be sent cyclically, please select "----" in the Message cycle field.

Shortcuts

Toolbar

Keyboard

—


red

Version 11.0 SP2
© Vector Informatik GmbH